---
  - name : Download minikube
    get_url :
      url : https://storage.googleapis.com/minikube/releases/latest/minikube-linux-amd64
      dest : /usr/local/bin/minikube
      mode : a+x

  - name: check env
    shell: env

  - name : Changing the owner of repo bin
    file :
      path : /usr/local/bin
      owner : ec2-user
      group : ec2-user

  - name: start minikube
    shell : "{{ item }}"
    with_items:
      - cd /usr/local/bin/
      - minikube start --vm-driver=docker

  - name: rename minikube docker image
    shell: docker tag e2a6c047bedd 35.180.97.103:8085/minikube

  - name: push the minikube image on nexus repo
    shell: docker push 35.180.97.103:8085/minikube


  - name : Download kubectl
    get_url :
      url : https://dl.k8s.io/release/v1.22.0/bin/linux/amd64/kubectl
      dest : /usr/local/bin/kubectl
      mode : a+x

  - name: copy deploy file
    become: yes
    copy:
      src: cicd/ansible/files-k8s/create-pod.yaml
      dest: /formation/k8s/create-pod.yaml
      remote_src: false
      local_follow: yes

  - name: copy service file
    copy:
      src: cicd/ansible/files-k8s/service-pod.yaml
      dest: /formation/k8s/create-service.yaml
      remote_src: yes

  - name: create a deploy
    become: yes
    shell: kubectl apply -f /formation/k8s/create-pod.yaml

  - name: create a service
    become: yes
    shell: kubectl apply -f /formation/k8s/create-service.yaml
